Index: lib/plugins/acts_as_activity_provider/init.rb
===================================================================
--- lib/plugins/acts_as_activity_provider/init.rb	(revision 22334)
+++ lib/plugins/acts_as_activity_provider/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/acts_as_activity_provider'
 ActiveRecord::Base.send(:include, Redmine::Acts::ActivityProvider)
Index: lib/plugins/acts_as_attachable/init.rb
===================================================================
--- lib/plugins/acts_as_attachable/init.rb	(revision 22334)
+++ lib/plugins/acts_as_attachable/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/acts_as_attachable'
 ActiveRecord::Base.send(:include, Redmine::Acts::Attachable)
Index: lib/plugins/acts_as_customizable/init.rb
===================================================================
--- lib/plugins/acts_as_customizable/init.rb	(revision 22334)
+++ lib/plugins/acts_as_customizable/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/acts_as_customizable'
 ActiveRecord::Base.send(:include, Redmine::Acts::Customizable)
Index: lib/plugins/acts_as_event/init.rb
===================================================================
--- lib/plugins/acts_as_event/init.rb	(revision 22334)
+++ lib/plugins/acts_as_event/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/acts_as_event'
 ActiveRecord::Base.send(:include, Redmine::Acts::Event)
Index: lib/plugins/acts_as_searchable/init.rb
===================================================================
--- lib/plugins/acts_as_searchable/init.rb	(revision 22334)
+++ lib/plugins/acts_as_searchable/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/acts_as_searchable'
 ActiveRecord::Base.send(:include, Redmine::Acts::Searchable)
Index: lib/plugins/acts_as_tree/init.rb
===================================================================
--- lib/plugins/acts_as_tree/init.rb	(revision 22334)
+++ lib/plugins/acts_as_tree/init.rb	(working copy)
@@ -1,4 +1,21 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'lib/active_record/acts/tree'
 ActiveRecord::Base.send :include, ActiveRecord::Acts::Tree
Index: lib/plugins/acts_as_tree/lib/active_record/acts/tree.rb
===================================================================
--- lib/plugins/acts_as_tree/lib/active_record/acts/tree.rb	(revision 22334)
+++ lib/plugins/acts_as_tree/lib/active_record/acts/tree.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 module ActiveRecord
   module Acts
     module Tree
Index: lib/plugins/acts_as_tree/test/acts_as_tree_test.rb
===================================================================
--- lib/plugins/acts_as_tree/test/acts_as_tree_test.rb	(revision 22334)
+++ lib/plugins/acts_as_tree/test/acts_as_tree_test.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require 'test/unit'
 
 require 'rubygems'
Index: lib/plugins/acts_as_watchable/init.rb
===================================================================
--- lib/plugins/acts_as_watchable/init.rb	(revision 22334)
+++ lib/plugins/acts_as_watchable/init.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 # Include hook code here
 require_relative 'lib/acts_as_watchable'
 ActiveRecord::Base.send(:include, Redmine::Acts::Watchable)
Index: lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb
===================================================================
--- lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb	(revision 22334)
+++ lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 # ActsAsWatchable
 module Redmine
   module Acts
Index: lib/redmine/codeset_util.rb
===================================================================
--- lib/redmine/codeset_util.rb	(revision 22334)
+++ lib/redmine/codeset_util.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 module Redmine
   module CodesetUtil
 
Index: lib/redmine/core_ext/string.rb
===================================================================
--- lib/redmine/core_ext/string.rb	(revision 22334)
+++ lib/redmine/core_ext/string.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require_relative 'string/conversions'
 require_relative 'string/inflections'
 
Index: lib/redmine/core_ext.rb
===================================================================
--- lib/redmine/core_ext.rb	(revision 22334)
+++ lib/redmine/core_ext.rb	(working copy)
@@ -1,3 +1,20 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 Dir[File.dirname(__FILE__) + "/core_ext/*.rb"].each {|file| require(file)}
Index: lib/redmine/info.rb
===================================================================
--- lib/redmine/info.rb	(revision 22334)
+++ lib/redmine/info.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 module Redmine
   module Info
     class << self
Index: lib/redmine/notifiable.rb
===================================================================
--- lib/redmine/notifiable.rb	(revision 22334)
+++ lib/redmine/notifiable.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 module Redmine
   class Notifiable < Struct.new(:name, :parent)
 
Index: lib/redmine/scm/base.rb
===================================================================
--- lib/redmine/scm/base.rb	(revision 22334)
+++ lib/redmine/scm/base.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 module Redmine
   module Scm
     class Base
Index: lib/redmine/sudo_mode.rb
===================================================================
--- lib/redmine/sudo_mode.rb	(revision 22334)
+++ lib/redmine/sudo_mode.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require 'active_support/core_ext/object/to_query'
 require 'rack/utils'
 
Index: lib/redmine/version.rb
===================================================================
--- lib/redmine/version.rb	(revision 22334)
+++ lib/redmine/version.rb	(working copy)
@@ -1,5 +1,22 @@
 # frozen_string_literal: true
 
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 require 'redmine/scm/adapters/subversion_adapter'
 
 module Redmine
Index: lib/tasks/ci.rake
===================================================================
--- lib/tasks/ci.rake	(revision 22334)
+++ lib/tasks/ci.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 desc "Run the Continuous Integration tests for Redmine"
 task :ci do
   # RAILS_ENV and ENV[] can diverge so force them both to test
Index: lib/tasks/deprecated.rake
===================================================================
--- lib/tasks/deprecated.rake	(revision 22334)
+++ lib/tasks/deprecated.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 def deprecated_task(name, new_name)
   task name=>new_name do
     $stderr.puts "\nNote: The rake task #{name} has been deprecated, please use the replacement version #{new_name}"
Index: lib/tasks/extract_fixtures.rake
===================================================================
--- lib/tasks/extract_fixtures.rake	(revision 22334)
+++ lib/tasks/extract_fixtures.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 desc 'Create YAML test fixtures from data in an existing database.
 Defaults to development database. Set RAILS_ENV to override.'
 
Index: lib/tasks/initializers.rake
===================================================================
--- lib/tasks/initializers.rake	(revision 22334)
+++ lib/tasks/initializers.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 desc 'Generates a secret token for the application.'
 
 file 'config/initializers/secret_token.rb' do
Index: lib/tasks/load_default_data.rake
===================================================================
--- lib/tasks/load_default_data.rake	(revision 22334)
+++ lib/tasks/load_default_data.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 desc 'Load Redmine default configuration data. Language is chosen interactively or by setting REDMINE_LANG environment variable.'
 
 namespace :redmine do
Index: lib/tasks/locales.rake
===================================================================
--- lib/tasks/locales.rake	(revision 22334)
+++ lib/tasks/locales.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 desc 'Updates and checks locales against en.yml'
 task :locales do
   %w(locales:update locales:check_interpolation).collect do |task|
Index: lib/tasks/metrics.rake
===================================================================
--- lib/tasks/metrics.rake	(revision 22334)
+++ lib/tasks/metrics.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 begin
   require 'metric_fu'
 rescue LoadError
Index: lib/tasks/permissions.rake
===================================================================
--- lib/tasks/permissions.rake	(revision 22334)
+++ lib/tasks/permissions.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 namespace :redmine do
   desc "List all permissions and the actions registered with them"
   task :permissions => :environment do
Index: lib/tasks/testing.rake
===================================================================
--- lib/tasks/testing.rake	(revision 22334)
+++ lib/tasks/testing.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 namespace :test do
   desc 'Measures test coverage'
   task :coverage do
Index: lib/tasks/yardoc.rake
===================================================================
--- lib/tasks/yardoc.rake	(revision 22334)
+++ lib/tasks/yardoc.rake	(working copy)
@@ -1,3 +1,20 @@
+# Redmine - project management software
+# Copyright (C) 2006-2023  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
 begin
   require 'yard'
 
Index: public/javascripts/application.js
===================================================================
--- public/javascripts/application.js	(revision 22334)
+++ public/javascripts/application.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 function sanitizeHTML(string) {
   var temp = document.createElement('span');
Index: public/javascripts/attachments.js
===================================================================
--- public/javascripts/attachments.js	(revision 22334)
+++ public/javascripts/attachments.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 function addFile(inputEl, file, eagerUpload) {
   var attachmentsFields = $(inputEl).closest('.attachments_form').find('.attachments_fields');
Index: public/javascripts/context_menu.js
===================================================================
--- public/javascripts/context_menu.js	(revision 22334)
+++ public/javascripts/context_menu.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 var contextMenuObserving;
 
Index: public/javascripts/gantt.js
===================================================================
--- public/javascripts/gantt.js	(revision 22334)
+++ public/javascripts/gantt.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 var draw_gantt = null;
 var draw_top;
Index: public/javascripts/project_identifier.js
===================================================================
--- public/javascripts/project_identifier.js	(revision 22334)
+++ public/javascripts/project_identifier.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 // Automatic project identifier generation
 
Index: public/javascripts/repository_navigation.js
===================================================================
--- public/javascripts/repository_navigation.js	(revision 22334)
+++ public/javascripts/repository_navigation.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 $(document).ready(function() {
   /* 
Index: public/javascripts/responsive.js
===================================================================
--- public/javascripts/responsive.js	(revision 22334)
+++ public/javascripts/responsive.js	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 // generic layout specific responsive stuff goes here
 
 function openFlyout() {
Index: public/javascripts/revision_graph.js
===================================================================
--- public/javascripts/revision_graph.js	(revision 22334)
+++ public/javascripts/revision_graph.js	(working copy)
@@ -1,5 +1,19 @@
 /* Redmine - project management software
-   Copyright (C) 2006-2023  Jean-Philippe Lang */
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
 
 var revisionGraph = null;
 
Index: public/stylesheets/application.css
===================================================================
--- public/stylesheets/application.css	(revision 22334)
+++ public/stylesheets/application.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 html, body { min-height: 100vh; }
 html {overflow-y:scroll;}
 body { font-family: Verdana, sans-serif; font-size: 12px; color:#333; margin: 0; padding: 0; min-width: 900px; }
Index: public/stylesheets/context_menu.css
===================================================================
--- public/stylesheets/context_menu.css	(revision 22334)
+++ public/stylesheets/context_menu.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 #context-menu { position: absolute; z-index: 40; font-size: 0.9em;}
 
 #context-menu ul, #context-menu li, #context-menu a {
Index: public/stylesheets/context_menu_rtl.css
===================================================================
--- public/stylesheets/context_menu_rtl.css	(revision 22334)
+++ public/stylesheets/context_menu_rtl.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 #context-menu li.folder ul { left:auto; right:168px; }
 #context-menu li.folder>ul { left:auto; right:148px; }
 #context-menu li a.submenu { background:url("../images/arrow_left.png") left no-repeat; }
Index: public/stylesheets/jstoolbar.css
===================================================================
--- public/stylesheets/jstoolbar.css	(revision 22334)
+++ public/stylesheets/jstoolbar.css	(working copy)
@@ -1,3 +1,25 @@
+/* ***** BEGIN LICENSE BLOCK *****
+ * This file is part of DotClear.
+ * Copyright (c) 2005 Nicolas Martin & Olivier Meunier and contributors. All
+ * rights reserved.
+ *
+ * DotClear is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * DotClear is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with DotClear; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *
+ * ***** END LICENSE BLOCK *****
+*/
+
 .jstBlock .hidden {
     display: none;
 }
Index: public/stylesheets/responsive.css
===================================================================
--- public/stylesheets/responsive.css	(revision 22334)
+++ public/stylesheets/responsive.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 /*----------------------------------------*\
   RESPONSIVE CSS
 \*----------------------------------------*/
Index: public/stylesheets/rtl.css
===================================================================
--- public/stylesheets/rtl.css	(revision 22334)
+++ public/stylesheets/rtl.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 html {direction:rtl;}
 h1, h2, h3, h4 {padding:2px 00px 1px 10px;}
 /***** Layout *****/
Index: public/stylesheets/scm.css
===================================================================
--- public/stylesheets/scm.css	(revision 22334)
+++ public/stylesheets/scm.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 table.entries a {
   padding-top: 2px;
   padding-bottom: 2px;
Index: public/themes/alternate/stylesheets/application.css
===================================================================
--- public/themes/alternate/stylesheets/application.css	(revision 22334)
+++ public/themes/alternate/stylesheets/application.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 @import url(../../../stylesheets/application.css);
 
 body, #wrapper { background-color:#EEEEEE; }
Index: public/themes/classic/stylesheets/application.css
===================================================================
--- public/themes/classic/stylesheets/application.css	(revision 22334)
+++ public/themes/classic/stylesheets/application.css	(working copy)
@@ -1,3 +1,20 @@
+/* Redmine - project management software
+ * Copyright (C) 2006-2023  Jean-Philippe Lang
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ *  of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
+
 @import url(../../../stylesheets/application.css);
 
 body{ color:#303030; background:#e8eaec; }
